package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*sku详描
* @author quyixiao
* @since 2025-12-04
*/

@Data
@TableName("vv_sku")
public class VvSkuEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvSkuEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // 
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String image_url = CLASS_NAME + "image_url";                // 图片url
    public final static String sale_price = CLASS_NAME + "sale_price";              // 销售价
    public final static String origin_price = CLASS_NAME + "origin_price";          // 原价
    public final static String product_id = CLASS_NAME + "product_id";              // 商品id
    public final static String stock_ = CLASS_NAME + "stock";                       // 库存
    public final static String real_sale_count = CLASS_NAME + "real_sale_count";    // 真实销售数量
    public final static String show_sale_count = CLASS_NAME + "show_sale_count";    // 展示销售数量
    public final static String promotion_price = CLASS_NAME + "promotion_price";    // 促销价格
    public final static String is_default = CLASS_NAME + "is_default";              // 是否是商品首页展示的价格
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //图片url
    private String imageUrl;
    //销售价
    private BigDecimal salePrice;
    //原价
    private BigDecimal originPrice;
    //商品id
    private Long productId;
    //库存
    private Integer stock;
    //真实销售数量
    private Integer realSaleCount;
    //展示销售数量
    private Integer showSaleCount;
    //促销价格
    private BigDecimal promotionPrice;
    //是否是商品首页展示的价格
    private Integer isDefault;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 图片url 
     * @return
     */
    public String getImageUrl() {
        return imageUrl;
    }
    /**
     * 图片url 
     * @param imageUrl
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    /**
     * 销售价 
     * @return
     */
    public BigDecimal getSalePrice() {
        return salePrice;
    }
    /**
     * 销售价 
     * @param salePrice
     */
    public void setSalePrice(BigDecimal salePrice) {
        this.salePrice = salePrice;
    }

    /**
     * 原价 
     * @return
     */
    public BigDecimal getOriginPrice() {
        return originPrice;
    }
    /**
     * 原价 
     * @param originPrice
     */
    public void setOriginPrice(BigDecimal originPrice) {
        this.originPrice = originPrice;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 库存 
     * @return
     */
    public Integer getStock() {
        return stock;
    }
    /**
     * 库存 
     * @param stock
     */
    public void setStock(Integer stock) {
        this.stock = stock;
    }

    /**
     * 真实销售数量 
     * @return
     */
    public Integer getRealSaleCount() {
        return realSaleCount;
    }
    /**
     * 真实销售数量 
     * @param realSaleCount
     */
    public void setRealSaleCount(Integer realSaleCount) {
        this.realSaleCount = realSaleCount;
    }

    /**
     * 展示销售数量 
     * @return
     */
    public Integer getShowSaleCount() {
        return showSaleCount;
    }
    /**
     * 展示销售数量 
     * @param showSaleCount
     */
    public void setShowSaleCount(Integer showSaleCount) {
        this.showSaleCount = showSaleCount;
    }

    /**
     * 促销价格 
     * @return
     */
    public BigDecimal getPromotionPrice() {
        return promotionPrice;
    }
    /**
     * 促销价格 
     * @param promotionPrice
     */
    public void setPromotionPrice(BigDecimal promotionPrice) {
        this.promotionPrice = promotionPrice;
    }

    /**
     * 是否是商品首页展示的价格 
     * @return
     */
    public Integer getIsDefault() {
        return isDefault;
    }
    /**
     * 是否是商品首页展示的价格 
     * @param isDefault
     */
    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    @Override
    public String toString() {
        return "VvSkuEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",imageUrl=" + imageUrl +
                ",salePrice=" + salePrice +
                ",originPrice=" + originPrice +
                ",productId=" + productId +
                ",stock=" + stock +
                ",realSaleCount=" + realSaleCount +
                ",showSaleCount=" + showSaleCount +
                ",promotionPrice=" + promotionPrice +
                ",isDefault=" + isDefault +
                "}";
    }
}